package com.hai.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * high_order
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighOrder implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 标题
     */
    private String title;

    /**
     * 搜索标题
     */
    private String searchTitle;

    /**
     * 产品类型 
1：星巴克 
2：肯德基 
3：会员充值 
4：积分充值
5：购买卡券
6：加油服务
7：优惠券包
8：汇联通充值
9：话费充值
10:电影票
11:贵州中石化
12:实物商品
     */
    private Integer productType;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 用户的优惠券high_discount_user_rel表的id
     */
    private Long memDiscountId;

    /**
     * 用户的优惠券名称
     */
    private String memDiscountName;

    /**
     * 用户表ID
     */
    private Long memId;

    /**
     * 用户名称
     */
    private String memName;

    /**
     * 用户电话
     */
    private String memPhone;

    /**
     * 合单订单号
     */
    private String combineOrderNo;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 第三方支付流水号
     */
    private String paySerialNo;

    /**
     * 支付方式： 1：支付宝  2：微信  3：金币  4：汇联通工会卡  5：银联
     */
    private Integer payType;

    /**
     * 用户和卡号关系id
     */
    private Long memCardId;

    /**
     * 卡类型  1.贵州汇联通工会卡  2.嗨森逛加油卡
     */
    private Integer memCardType;

    /**
     * 卡号
     */
    private String memCardNo;

    /**
     * 运费
     */
    private BigDecimal freightPrice;

    /**
     * 商品总金额
     */
    private BigDecimal goodsTotalPrice;

    /**
     * 交易总金额
     */
    private BigDecimal totalPrice;

    /**
     * 应付金额
     */
    private BigDecimal payablePrice;

    /**
     * 支付金额
     */
    private BigDecimal payPrice;

    /**
     * 实付金额
     */
    private BigDecimal payRealPrice;

    /**
     * 订单状态：1 待支付  2 已支付  3.已完成  4. 已退款  5.已取消
     */
    private Integer orderStatus;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 交易总优惠金额（优惠券优惠金额+商品优惠金额）
     */
    private BigDecimal totalDeductionPrice;

    /**
     * 优惠券优惠金额
     */
    private BigDecimal deductionCouponPrice;

    /**
     * 产品优惠金额
     */
    private BigDecimal deductionProductPrice;

    /**
     * 积分抵扣
     */
    private Integer payGold;

    /**
     * 可退款金额
     */
    private BigDecimal surplusRefundPrice;

    /**
     * 可退款积分
     */
    private Integer surplusRefundIntegral;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 取消时间
     */
    private Date cancelTime;

    /**
     * 取消原因
     */
    private String cancelRemarks;

    /**
     * 退款时间
     */
    private Date refundTime;

    /**
     * 入账商户号
     */
    private String accountMerchantNum;

    /**
     * 是否分账
     */
    private Boolean profitSharingStatus;

    /**
     * 分账记录id
     */
    private Long profitSharingRecordId;

    /**
     * 是否查看
     */
    private Boolean whetherCheck;

    /**
     * 是否返利
     */
    private Boolean whetherRebate;

    /**
     * 异常状态  0：否 1：是
     */
    private Boolean exceptionStatus;

    /**
     * 异常内容
     */
    private String exceptionContent;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 推广码
     */
    private String promoteCode;

    /**
     * 后台用户ID
     */
    private Long secUserId;

    private String ext1;

    private String ext2;

    private String ext3;

    private String ext4;

    private String ext5;

    /**
     * 存实物 商品图片
     */
    private String ext6;

    private String time;

    private String goodsTypeName;

    public String getGoodsTypeName() {
        return goodsTypeName;
    }

    public void setGoodsTypeName(String goodsTypeName) {
        this.goodsTypeName = goodsTypeName;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    private static final long serialVersionUID = 1L;

    private List<HighChildOrder> highChildOrderList;

    public List<HighChildOrder> getHighChildOrderList() {
        return highChildOrderList;
    }

    public void setHighChildOrderList(List<HighChildOrder> highChildOrderList) {
        this.highChildOrderList = highChildOrderList;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSearchTitle() {
        return searchTitle;
    }

    public void setSearchTitle(String searchTitle) {
        this.searchTitle = searchTitle;
    }

    public Integer getProductType() {
        return productType;
    }

    public void setProductType(Integer productType) {
        this.productType = productType;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getMemDiscountId() {
        return memDiscountId;
    }

    public void setMemDiscountId(Long memDiscountId) {
        this.memDiscountId = memDiscountId;
    }

    public String getMemDiscountName() {
        return memDiscountName;
    }

    public void setMemDiscountName(String memDiscountName) {
        this.memDiscountName = memDiscountName;
    }

    public Long getMemId() {
        return memId;
    }

    public void setMemId(Long memId) {
        this.memId = memId;
    }

    public String getMemName() {
        return memName;
    }

    public void setMemName(String memName) {
        this.memName = memName;
    }

    public String getMemPhone() {
        return memPhone;
    }

    public void setMemPhone(String memPhone) {
        this.memPhone = memPhone;
    }

    public String getCombineOrderNo() {
        return combineOrderNo;
    }

    public void setCombineOrderNo(String combineOrderNo) {
        this.combineOrderNo = combineOrderNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPaySerialNo() {
        return paySerialNo;
    }

    public void setPaySerialNo(String paySerialNo) {
        this.paySerialNo = paySerialNo;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Long getMemCardId() {
        return memCardId;
    }

    public void setMemCardId(Long memCardId) {
        this.memCardId = memCardId;
    }

    public Integer getMemCardType() {
        return memCardType;
    }

    public void setMemCardType(Integer memCardType) {
        this.memCardType = memCardType;
    }

    public String getMemCardNo() {
        return memCardNo;
    }

    public void setMemCardNo(String memCardNo) {
        this.memCardNo = memCardNo;
    }

    public BigDecimal getFreightPrice() {
        return freightPrice;
    }

    public void setFreightPrice(BigDecimal freightPrice) {
        this.freightPrice = freightPrice;
    }

    public BigDecimal getGoodsTotalPrice() {
        return goodsTotalPrice;
    }

    public void setGoodsTotalPrice(BigDecimal goodsTotalPrice) {
        this.goodsTotalPrice = goodsTotalPrice;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getPayablePrice() {
        return payablePrice;
    }

    public void setPayablePrice(BigDecimal payablePrice) {
        this.payablePrice = payablePrice;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public BigDecimal getTotalDeductionPrice() {
        return totalDeductionPrice;
    }

    public void setTotalDeductionPrice(BigDecimal totalDeductionPrice) {
        this.totalDeductionPrice = totalDeductionPrice;
    }

    public BigDecimal getDeductionCouponPrice() {
        return deductionCouponPrice;
    }

    public void setDeductionCouponPrice(BigDecimal deductionCouponPrice) {
        this.deductionCouponPrice = deductionCouponPrice;
    }

    public BigDecimal getDeductionProductPrice() {
        return deductionProductPrice;
    }

    public void setDeductionProductPrice(BigDecimal deductionProductPrice) {
        this.deductionProductPrice = deductionProductPrice;
    }

    public Integer getPayGold() {
        return payGold;
    }

    public void setPayGold(Integer payGold) {
        this.payGold = payGold;
    }

    public BigDecimal getSurplusRefundPrice() {
        return surplusRefundPrice;
    }

    public void setSurplusRefundPrice(BigDecimal surplusRefundPrice) {
        this.surplusRefundPrice = surplusRefundPrice;
    }

    public Integer getSurplusRefundIntegral() {
        return surplusRefundIntegral;
    }

    public void setSurplusRefundIntegral(Integer surplusRefundIntegral) {
        this.surplusRefundIntegral = surplusRefundIntegral;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getCancelRemarks() {
        return cancelRemarks;
    }

    public void setCancelRemarks(String cancelRemarks) {
        this.cancelRemarks = cancelRemarks;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public String getAccountMerchantNum() {
        return accountMerchantNum;
    }

    public void setAccountMerchantNum(String accountMerchantNum) {
        this.accountMerchantNum = accountMerchantNum;
    }

    public Boolean getProfitSharingStatus() {
        return profitSharingStatus;
    }

    public void setProfitSharingStatus(Boolean profitSharingStatus) {
        this.profitSharingStatus = profitSharingStatus;
    }

    public Long getProfitSharingRecordId() {
        return profitSharingRecordId;
    }

    public void setProfitSharingRecordId(Long profitSharingRecordId) {
        this.profitSharingRecordId = profitSharingRecordId;
    }

    public Boolean getWhetherCheck() {
        return whetherCheck;
    }

    public void setWhetherCheck(Boolean whetherCheck) {
        this.whetherCheck = whetherCheck;
    }

    public Boolean getWhetherRebate() {
        return whetherRebate;
    }

    public void setWhetherRebate(Boolean whetherRebate) {
        this.whetherRebate = whetherRebate;
    }

    public Boolean getExceptionStatus() {
        return exceptionStatus;
    }

    public void setExceptionStatus(Boolean exceptionStatus) {
        this.exceptionStatus = exceptionStatus;
    }

    public String getExceptionContent() {
        return exceptionContent;
    }

    public void setExceptionContent(String exceptionContent) {
        this.exceptionContent = exceptionContent;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getPromoteCode() {
        return promoteCode;
    }

    public void setPromoteCode(String promoteCode) {
        this.promoteCode = promoteCode;
    }

    public Long getSecUserId() {
        return secUserId;
    }

    public void setSecUserId(Long secUserId) {
        this.secUserId = secUserId;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    public String getExt4() {
        return ext4;
    }

    public void setExt4(String ext4) {
        this.ext4 = ext4;
    }

    public String getExt5() {
        return ext5;
    }

    public void setExt5(String ext5) {
        this.ext5 = ext5;
    }

    public String getExt6() {
        return ext6;
    }

    public void setExt6(String ext6) {
        this.ext6 = ext6;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighOrder other = (HighOrder) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
            && (this.getSearchTitle() == null ? other.getSearchTitle() == null : this.getSearchTitle().equals(other.getSearchTitle()))
            && (this.getProductType() == null ? other.getProductType() == null : this.getProductType().equals(other.getProductType()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getMemDiscountId() == null ? other.getMemDiscountId() == null : this.getMemDiscountId().equals(other.getMemDiscountId()))
            && (this.getMemDiscountName() == null ? other.getMemDiscountName() == null : this.getMemDiscountName().equals(other.getMemDiscountName()))
            && (this.getMemId() == null ? other.getMemId() == null : this.getMemId().equals(other.getMemId()))
            && (this.getMemName() == null ? other.getMemName() == null : this.getMemName().equals(other.getMemName()))
            && (this.getMemPhone() == null ? other.getMemPhone() == null : this.getMemPhone().equals(other.getMemPhone()))
            && (this.getCombineOrderNo() == null ? other.getCombineOrderNo() == null : this.getCombineOrderNo().equals(other.getCombineOrderNo()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getPaySerialNo() == null ? other.getPaySerialNo() == null : this.getPaySerialNo().equals(other.getPaySerialNo()))
            && (this.getPayType() == null ? other.getPayType() == null : this.getPayType().equals(other.getPayType()))
            && (this.getMemCardId() == null ? other.getMemCardId() == null : this.getMemCardId().equals(other.getMemCardId()))
            && (this.getMemCardType() == null ? other.getMemCardType() == null : this.getMemCardType().equals(other.getMemCardType()))
            && (this.getMemCardNo() == null ? other.getMemCardNo() == null : this.getMemCardNo().equals(other.getMemCardNo()))
            && (this.getFreightPrice() == null ? other.getFreightPrice() == null : this.getFreightPrice().equals(other.getFreightPrice()))
            && (this.getGoodsTotalPrice() == null ? other.getGoodsTotalPrice() == null : this.getGoodsTotalPrice().equals(other.getGoodsTotalPrice()))
            && (this.getTotalPrice() == null ? other.getTotalPrice() == null : this.getTotalPrice().equals(other.getTotalPrice()))
            && (this.getPayablePrice() == null ? other.getPayablePrice() == null : this.getPayablePrice().equals(other.getPayablePrice()))
            && (this.getPayPrice() == null ? other.getPayPrice() == null : this.getPayPrice().equals(other.getPayPrice()))
            && (this.getPayRealPrice() == null ? other.getPayRealPrice() == null : this.getPayRealPrice().equals(other.getPayRealPrice()))
            && (this.getOrderStatus() == null ? other.getOrderStatus() == null : this.getOrderStatus().equals(other.getOrderStatus()))
            && (this.getRemarks() == null ? other.getRemarks() == null : this.getRemarks().equals(other.getRemarks()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getTotalDeductionPrice() == null ? other.getTotalDeductionPrice() == null : this.getTotalDeductionPrice().equals(other.getTotalDeductionPrice()))
            && (this.getDeductionCouponPrice() == null ? other.getDeductionCouponPrice() == null : this.getDeductionCouponPrice().equals(other.getDeductionCouponPrice()))
            && (this.getDeductionProductPrice() == null ? other.getDeductionProductPrice() == null : this.getDeductionProductPrice().equals(other.getDeductionProductPrice()))
            && (this.getPayGold() == null ? other.getPayGold() == null : this.getPayGold().equals(other.getPayGold()))
            && (this.getSurplusRefundPrice() == null ? other.getSurplusRefundPrice() == null : this.getSurplusRefundPrice().equals(other.getSurplusRefundPrice()))
            && (this.getSurplusRefundIntegral() == null ? other.getSurplusRefundIntegral() == null : this.getSurplusRefundIntegral().equals(other.getSurplusRefundIntegral()))
            && (this.getPayTime() == null ? other.getPayTime() == null : this.getPayTime().equals(other.getPayTime()))
            && (this.getFinishTime() == null ? other.getFinishTime() == null : this.getFinishTime().equals(other.getFinishTime()))
            && (this.getCancelTime() == null ? other.getCancelTime() == null : this.getCancelTime().equals(other.getCancelTime()))
            && (this.getCancelRemarks() == null ? other.getCancelRemarks() == null : this.getCancelRemarks().equals(other.getCancelRemarks()))
            && (this.getRefundTime() == null ? other.getRefundTime() == null : this.getRefundTime().equals(other.getRefundTime()))
            && (this.getAccountMerchantNum() == null ? other.getAccountMerchantNum() == null : this.getAccountMerchantNum().equals(other.getAccountMerchantNum()))
            && (this.getProfitSharingStatus() == null ? other.getProfitSharingStatus() == null : this.getProfitSharingStatus().equals(other.getProfitSharingStatus()))
            && (this.getProfitSharingRecordId() == null ? other.getProfitSharingRecordId() == null : this.getProfitSharingRecordId().equals(other.getProfitSharingRecordId()))
            && (this.getWhetherCheck() == null ? other.getWhetherCheck() == null : this.getWhetherCheck().equals(other.getWhetherCheck()))
            && (this.getWhetherRebate() == null ? other.getWhetherRebate() == null : this.getWhetherRebate().equals(other.getWhetherRebate()))
            && (this.getExceptionStatus() == null ? other.getExceptionStatus() == null : this.getExceptionStatus().equals(other.getExceptionStatus()))
            && (this.getExceptionContent() == null ? other.getExceptionContent() == null : this.getExceptionContent().equals(other.getExceptionContent()))
            && (this.getCompanyName() == null ? other.getCompanyName() == null : this.getCompanyName().equals(other.getCompanyName()))
            && (this.getPromoteCode() == null ? other.getPromoteCode() == null : this.getPromoteCode().equals(other.getPromoteCode()))
            && (this.getSecUserId() == null ? other.getSecUserId() == null : this.getSecUserId().equals(other.getSecUserId()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getExt4() == null ? other.getExt4() == null : this.getExt4().equals(other.getExt4()))
            && (this.getExt5() == null ? other.getExt5() == null : this.getExt5().equals(other.getExt5()))
            && (this.getExt6() == null ? other.getExt6() == null : this.getExt6().equals(other.getExt6()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getSearchTitle() == null) ? 0 : getSearchTitle().hashCode());
        result = prime * result + ((getProductType() == null) ? 0 : getProductType().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getMemDiscountId() == null) ? 0 : getMemDiscountId().hashCode());
        result = prime * result + ((getMemDiscountName() == null) ? 0 : getMemDiscountName().hashCode());
        result = prime * result + ((getMemId() == null) ? 0 : getMemId().hashCode());
        result = prime * result + ((getMemName() == null) ? 0 : getMemName().hashCode());
        result = prime * result + ((getMemPhone() == null) ? 0 : getMemPhone().hashCode());
        result = prime * result + ((getCombineOrderNo() == null) ? 0 : getCombineOrderNo().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getPaySerialNo() == null) ? 0 : getPaySerialNo().hashCode());
        result = prime * result + ((getPayType() == null) ? 0 : getPayType().hashCode());
        result = prime * result + ((getMemCardId() == null) ? 0 : getMemCardId().hashCode());
        result = prime * result + ((getMemCardType() == null) ? 0 : getMemCardType().hashCode());
        result = prime * result + ((getMemCardNo() == null) ? 0 : getMemCardNo().hashCode());
        result = prime * result + ((getFreightPrice() == null) ? 0 : getFreightPrice().hashCode());
        result = prime * result + ((getGoodsTotalPrice() == null) ? 0 : getGoodsTotalPrice().hashCode());
        result = prime * result + ((getTotalPrice() == null) ? 0 : getTotalPrice().hashCode());
        result = prime * result + ((getPayablePrice() == null) ? 0 : getPayablePrice().hashCode());
        result = prime * result + ((getPayPrice() == null) ? 0 : getPayPrice().hashCode());
        result = prime * result + ((getPayRealPrice() == null) ? 0 : getPayRealPrice().hashCode());
        result = prime * result + ((getOrderStatus() == null) ? 0 : getOrderStatus().hashCode());
        result = prime * result + ((getRemarks() == null) ? 0 : getRemarks().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getTotalDeductionPrice() == null) ? 0 : getTotalDeductionPrice().hashCode());
        result = prime * result + ((getDeductionCouponPrice() == null) ? 0 : getDeductionCouponPrice().hashCode());
        result = prime * result + ((getDeductionProductPrice() == null) ? 0 : getDeductionProductPrice().hashCode());
        result = prime * result + ((getPayGold() == null) ? 0 : getPayGold().hashCode());
        result = prime * result + ((getSurplusRefundPrice() == null) ? 0 : getSurplusRefundPrice().hashCode());
        result = prime * result + ((getSurplusRefundIntegral() == null) ? 0 : getSurplusRefundIntegral().hashCode());
        result = prime * result + ((getPayTime() == null) ? 0 : getPayTime().hashCode());
        result = prime * result + ((getFinishTime() == null) ? 0 : getFinishTime().hashCode());
        result = prime * result + ((getCancelTime() == null) ? 0 : getCancelTime().hashCode());
        result = prime * result + ((getCancelRemarks() == null) ? 0 : getCancelRemarks().hashCode());
        result = prime * result + ((getRefundTime() == null) ? 0 : getRefundTime().hashCode());
        result = prime * result + ((getAccountMerchantNum() == null) ? 0 : getAccountMerchantNum().hashCode());
        result = prime * result + ((getProfitSharingStatus() == null) ? 0 : getProfitSharingStatus().hashCode());
        result = prime * result + ((getProfitSharingRecordId() == null) ? 0 : getProfitSharingRecordId().hashCode());
        result = prime * result + ((getWhetherCheck() == null) ? 0 : getWhetherCheck().hashCode());
        result = prime * result + ((getWhetherRebate() == null) ? 0 : getWhetherRebate().hashCode());
        result = prime * result + ((getExceptionStatus() == null) ? 0 : getExceptionStatus().hashCode());
        result = prime * result + ((getExceptionContent() == null) ? 0 : getExceptionContent().hashCode());
        result = prime * result + ((getCompanyName() == null) ? 0 : getCompanyName().hashCode());
        result = prime * result + ((getPromoteCode() == null) ? 0 : getPromoteCode().hashCode());
        result = prime * result + ((getSecUserId() == null) ? 0 : getSecUserId().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getExt4() == null) ? 0 : getExt4().hashCode());
        result = prime * result + ((getExt5() == null) ? 0 : getExt5().hashCode());
        result = prime * result + ((getExt6() == null) ? 0 : getExt6().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", title=").append(title);
        sb.append(", searchTitle=").append(searchTitle);
        sb.append(", productType=").append(productType);
        sb.append(", companyId=").append(companyId);
        sb.append(", memDiscountId=").append(memDiscountId);
        sb.append(", memDiscountName=").append(memDiscountName);
        sb.append(", memId=").append(memId);
        sb.append(", memName=").append(memName);
        sb.append(", memPhone=").append(memPhone);
        sb.append(", combineOrderNo=").append(combineOrderNo);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", paySerialNo=").append(paySerialNo);
        sb.append(", payType=").append(payType);
        sb.append(", memCardId=").append(memCardId);
        sb.append(", memCardType=").append(memCardType);
        sb.append(", memCardNo=").append(memCardNo);
        sb.append(", freightPrice=").append(freightPrice);
        sb.append(", goodsTotalPrice=").append(goodsTotalPrice);
        sb.append(", totalPrice=").append(totalPrice);
        sb.append(", payablePrice=").append(payablePrice);
        sb.append(", payPrice=").append(payPrice);
        sb.append(", payRealPrice=").append(payRealPrice);
        sb.append(", orderStatus=").append(orderStatus);
        sb.append(", remarks=").append(remarks);
        sb.append(", createTime=").append(createTime);
        sb.append(", totalDeductionPrice=").append(totalDeductionPrice);
        sb.append(", deductionCouponPrice=").append(deductionCouponPrice);
        sb.append(", deductionProductPrice=").append(deductionProductPrice);
        sb.append(", payGold=").append(payGold);
        sb.append(", surplusRefundPrice=").append(surplusRefundPrice);
        sb.append(", surplusRefundIntegral=").append(surplusRefundIntegral);
        sb.append(", payTime=").append(payTime);
        sb.append(", finishTime=").append(finishTime);
        sb.append(", cancelTime=").append(cancelTime);
        sb.append(", cancelRemarks=").append(cancelRemarks);
        sb.append(", refundTime=").append(refundTime);
        sb.append(", accountMerchantNum=").append(accountMerchantNum);
        sb.append(", profitSharingStatus=").append(profitSharingStatus);
        sb.append(", profitSharingRecordId=").append(profitSharingRecordId);
        sb.append(", whetherCheck=").append(whetherCheck);
        sb.append(", whetherRebate=").append(whetherRebate);
        sb.append(", exceptionStatus=").append(exceptionStatus);
        sb.append(", exceptionContent=").append(exceptionContent);
        sb.append(", companyName=").append(companyName);
        sb.append(", promoteCode=").append(promoteCode);
        sb.append(", secUserId=").append(secUserId);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", ext4=").append(ext4);
        sb.append(", ext5=").append(ext5);
        sb.append(", ext6=").append(ext6);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
